Ogre::TerrainGroup::LoadRequest Struct Reference

Structure for holding the load request. More...

`#include <OgreTerrainGroup.h>`

List of all members.

## Public Attributes

TerrainSlot * | slot
TerrainGroup * | origin

## Friends

_OgreTerrainExport friend std::ostream & | operator<< (std::ostream &o, const LoadRequest &r)

## Detailed Description

Structure for holding the load request.

Definition at line 527 of file OgreTerrainGroup.h.

## Friends And Related Function Documentation

_OgreTerrainExport friend std::ostream& operator<< | ( | std::ostream & | o,
|  | const LoadRequest & | r
| ) |  | `[friend]`

Definition at line 531 of file OgreTerrainGroup.h.

## Member Data Documentation

TerrainGroup* Ogre::TerrainGroup::LoadRequest::origin

Definition at line 530 of file OgreTerrainGroup.h.

TerrainSlot* Ogre::TerrainGroup::LoadRequest::slot

Definition at line 529 of file OgreTerrainGroup.h.

The documentation for this struct was generated from the following file:

- OgreTerrainGroup.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:44